CHANGES
=======

* minor correction for htrc concatenated items support

1.0b201
-------

* version updates
* optimizing the corpus count memory usage
* caching results of get\_items\_counts
* updating htrc EF parser to use pickle\_dir

1.0b200
-------

* versino bump for vsm req for python 2.7
* version and requirements bump
* linting
* linting
* adding htmlcov to gitignore
* adding mprofile to gitignore
* removing some corpusbuilder relpaths
* removing sentence support, all corpora use corpus\_from\_files
* adding iterator support for dir-corpus
* removing numpy
* correcting htrc\_features
* reducing load of HTRC EF corpora
* removing networkx dependecy
* deleted code that displayed doc name
* deleted commented out line
* restoring metadata download
* respect init args in EF training. close #280
* quick fix for chinese unicode support. see #265. closes #223
* handling missing volumes gracefully. closes #277
* Minor fix for topicexplorer init error
* Adding memory optimizations
* fixed proportions label
* cleaning up document focus descriptors

1.0b198
-------

* version bump
* fixed gradient issue (issue #268)
* correcting topicexplorer version command for windows
* version bump for vsm requirement, fixes Windows bugs
* removing extra index for chinese and czipfile extensions
* version bump on vsm requirement
* adding percentage filters to CLI
* refactoring \`get\_low\_filter\`
* refactor of get\_high\_filter()

1.0b197
-------

* adding safe\_text() to convert metadata in Python 2 unicode context
* topicexplorer now inits without stoplisting. prep can only be run once
* stoplists are now based on original corpus size, not stopped corpus size. Makes for consistent interface
* Update README.md
* removing configparser which is forcing python 2.7
* placing extension in right place
* updating vsm environment requirements
* more verbose reporting
* quoting urls
* adding url tests for powershell
* seeing if I can induce a failure
* adding -PassThru
* fixing bugs in build
* testing with process instead of job
* fixing demo call
* Update README.md
* updating appveyor
* adding a test to see what is going on with the job
* command escaping
* updating path var
* fixing powershell envvar syntax
* cleaning up issue with quotes in Job
* appveyor.yml
* Adding win\_unicode\_console. closes #255
* adding lots of tooltips to describe interface
* updating gitignore
* adding extras for setup.cfg, no longer requires htrc features or inpho to be installed
* ignoring coverage module-not-imported errors. fixing updates
* adding unittest2 to travis install
* changing to call to unittest2
* removing some setup\_requires issues
* removing the install\_data script - just do it all at runtime. closes #252
* checking for nltk dependencies on init. sidesteps #252
* adding mock to requirements
* fixing extra-index-url?
* de-pin requirements
* no longer using a separate requirements.test.txt. Rely on test\_require
* reverting changes to nltk download order
* updating dependency links to requirements.txt file
* fixing nltk data download
* adding conditional dependencies
* refactoring data\_files. #254

1.0b196
-------

* version bump for dependnency fixes
* updating miniconda requirements. closes #247
* adding jupyter notebooks to requirements
* adding requirements.test.txt file
* adding sortedcontainers
* fixing up the matplotlib requirement
* adding wheel support
* typo
* adding cython for vsm build from source
* removing custom vsm install
* fixing requirements
* cleaning up dependecies
* updating requirements.txt file and changing setup.py to abstract reqs

1.0b195
-------

* changing how metadata path is generated

1.0b194
-------

* fixing a few issues around htrc data capsule release
* changing defaults for htrc icons
* fixing directoty ini path resolution

1.0b193
-------

* version bump for prep changes, barspacing, icon font, and help
* updating README formatting
* fixed invisible button taking up space
* reduced some white space
* changed color theme to Dark2
* now truncates document names in descriptions
* descriptions done
* adding icon fonts for topic clusters and CC license. closes #170
* fixing file overwrite in quiet mode. closes #239
* fixed paths from relative to absolute for help pages. closes #224
* adding default for pdf. #248
* expanded help description for topic isomap
* forcing conversion of unicode
* updating prep args to catch corner cases
* rescaled the yaxis' height variable
* need to fix y axis, spacing ok now
* fixing spacing
* need to fix topic button issue in topic mode
* more URI escaping for htrc models
* some URI escaping for htrc models
* fixing htrc book titles
* returning from htrc metadata
* fixing titles from metadata
* fixing SyntaxError
* reverting part of 34139e3242ce8d95f2bc1abb6ef845482f9f2a0c

1.0b192
-------

* version bump for new help messages, better pdf handling, etc
* Added fulltext-pdf function
* added comments to explain how pdfs were handled
* Fixed issues with pdf documents not opening
* fixed overlap of buttons in left menu
* adding paths to export
* added icon for pdf

1.0b191
-------

* fixing issue with db path for sep extension
* updating the topics() function for memory efficiency
* testing alternative pyenchant build

1.0b190
-------

* version bump for waitress server
* explicitly threading webbrowser
* moving server to waitress, fixes some issues with bytes/str in paste
* some word changes to the help pages
* version bump for color gradients and loading panes
* adding attribution for hexToRgbA function
* Barcolors (#227)

1.0b188
-------

* fixing pdf reader
* default to compiled version
* dual compatibility python pdf reader
* adding fallback for pdf mining

1.0b187
-------

* version bump for proper filename escaping in pdftotext command
* Update help-topics.md
* Update help-hypershelf.md
* Update help-home.md
* added help pages

1.0b186
-------

* version bump for demo fixes
* fixing ap demo icons
* fixing labels for AP icons
* removing auto-addition of fulltext icon for ap view
* added color gradient with thinner bars
* localhost change
* bar size
* updating appveyor

1.0b185
-------

* bumping down core requirements for multiprocessing
* fixing continue training multiprocessing support. closes #222. closes #223
* adding tests for n\_proc and continue training. #222 #223
* fixing error message format error
* added gradient fill
* testing colors
* testing color
* testing
* testing colors
* testing bar colors

1.0b184
-------

* fixing demo/ap.md path issue

1.0b183
-------

* fixing version numbering for setup.py
* adding a lot of new tests
* fixing import error
* temporarily skippin asymmetric continue case
* updating coverage of the update script
* fixing reinstall
* attempt to get both update methods tested
* increasing pdf coverage
* adding some pragmas to exclude Windows tests on coverage
* boosting train coverage
* adding some extra support for the toy\_corpus partial
* adding mock test and tez import set
* testing import too
* increasing coverage of export and demo
* adding demo and version to test coverage
* testing more of the train functionality
* adding tests of continue training
* adding more pdf tests
* updating tests to cover the pdf reader
* fixing pdf reader partially - not sure if pdfminer works yet, but pdftotext does
* chaning file extension
* adding standard benchmark
* fixing version printing for python 3

1.0b182
-------

* fixing changelog and version info for 10-8-2017 release
* returning fewer items in auto-complete. closes #206
* fixing sort issue in pypi\_versions fn call. closes #207
* fixing unicode issue in prep printing. closes #218
* moving server header settings for random
* adding coverage of random doc
* increasing test coverage

1.0b181
-------

* adding patch for topicexplorer demo
* version bump for some csv fixes
* fixing unicode issue with python 2/3 dual compat
* adding unicode csv strings

1.0b180
-------

* fixing ap path, version bump. closes #215
* expanding test coverage and removing decode
* adding coverage of fulltext
* removing decode/encode errors

1.0b179
-------

* cleaning up topicexplroer export output

1.0b178
-------

* fixing load of non-txt data
* version bump
* removing any post processing from doc\_id in doc\_topics
* fixing two issues with explorer metadata
* resolving issue with static file resolution
* syntax fix
* fixed extra paren on line 47
* second half of resource fix

1.0b173
-------

* fixing bug in resource management

1.0b172
-------

* adding sys import, fixes release 1.0b171

1.0b171
-------

* vesion bump for a variety of interface fixes
* fixing static resource resolution
* updating gitignore
* fixing error in htrc metadata download
* fixing type casting in topic search
* adding coverage of individual topic json
* fixing scikit learn name
* fixing test of other queries
* adding scikit-learn for cluster test
* adding more coverage of server
* updating coverage of topicexplorer.server
* test
* adding better coverage tests
* removing axes. closes #210
* demo launches to browser. closes #213
* fixing appveyor and travis configs
* Update ap.md
* Update README.md
* Update README.md
* Update README.md
* adding export and import to main branch
* fixing error in relativization of files
* adding corpus description to exported materials
* export and import fixes for py27
* adding corpus export, must be specified with flag. Does not yet remove corpus icons if the corpus itself is not present
* adding raw\_corpus and path to list of relativized paths
* updating export and import to relativize paths
* adding clean export of config files
* adding import function
* adding export functionality

1.0b169
-------

* server encoding issues
* fixing issue with config file validation
* fixing indentation block error
* fixing validator
* version bump for some unicode fixes
* fixing issue with unicode doc\_ids
* fixing error with b'corpusname' display in Python 3

1.0b167
-------

* version bumping vsm package

1.0b166
-------

* updating chinese-range ascii exclusion

1.0b165
-------

* updating Chinese tokenization
* Added support for roman characters appearing within Chinese unicode range, and added another dash character to punctuation list
* fixing zh tokenizer

1.0b164
-------

* unbuffering ticks
* updating version for install\_data fix. closes #203
* new post-install hook for nltk
* flushing output on release.py
* updating vsm version
* merging in py3k branch. closes #200
* refactoring corpus.tmpl.py
* updating jupyter notebook command
* dual language tutorial notebooks
* fixing cluster view
* fixing map issue in htrc\_features corpus builder
* update release scripts to python 3

1.0b161
-------

* version bump for extracted features support
* updating HTRC extensions to get proper metadata
* parallel processing of htrc-extracted-features
* updating changelog
* adding support for htrc extracted features
* version bump to remove entropy calculation from topics return - was slowing down requests a lot
* updating topicexplorer.conifg
* upgrading extensions and libraries
* updating pybtex

1.0b159
-------

* updating CHANGELOG
* adding appropriate warnings for missing words. closes #199
* updating version for new issue closing
* making smallest bubles bigger
* removing 'true' button in fulltext view. closes #187

1.0b158
-------

* fixing fingerprint.js conflict with uBlock origin filters. closes #198
* adding configparser dependency
* adding better support for exit codes
* fixing exit code issues
* fixing the demo print statement from bad merge
* fixing demo url to reflect David M. Blei's insitutional change. closes #196
* fixing reload import location
* printing exit code
* fixing reload errors
* another attempt to fix travis config
* fixing travis config
* retrying install of vsm dev edition
* fixing setup script for testing of Py2+3 dual target
* updating coverage tests to exclude update for now
* one more wb
* hopefully last 'wb' issue
* fixing bytes read error
* migrating metadata to python 3
* fixing some type errors in demo
* fixing metadata to python 3
* updating color chooser
* fix to block ancient tokenizer from using default modern dictionary in mmseg
* updating update to python 3 compatibility
* updating py2/3 differences in dependecies
* fixing demo script
* fixing dependencies
* testing notebook
* migrating server to python 3
* migrating utilities library
* updating train
* migrating prep
* upgrading init.py
* first move to dual-version Python 2.7 and 3.6 install
* updating manifest
* added Confucian term to dictionary

1.0b157
-------

* fixing modal size. closes #184

1.0b156
-------

* fixing unicode URL parameters

1.0b155
-------

* fixing populated\_levels calculation. closes #183

1.0b154
-------

* updating app.wsgi for custon index.html injection

1.0b153
-------

* fixing path for fingerprint.js
* minor typo fix

1.0b152
-------

* fixing the topics link in sidebar

1.0b151
-------

* fixing term search label in bars interface. closes #179

1.0b150
-------

* adding finer grained topics

1.0b149
-------

* adding more neighbors to Isomap cluster consideration

1.0b148
-------

* adding type conversion for floats

1.0b147
-------

* vsm version vump for typo

1.0b146
-------

* version bump to vsm 0.4.0b7. closes #177

1.0b145
-------

* fixing issues with legacy vsm models. closes #171

1.0b144
-------

* version bump
* fixing metadata parser to allow for better handling of floats/ints/strings

1.0b143
-------

* updating underlying vsm package
* fixing relative path of fingerprints.js

1.0b142
-------

* fixing histogram

1.0b141
-------

* version bump for fingerprint addition
* adding splash text for topic cluster view
* fixing bar display issues
* adding loading icons to fingerprint
* adding fingerprint to defaults
* fingerprint string escapes
* functional fingerprints, yay!
* adding corrected fingerprint
* fingerprint works on main page, not on bars

1.0b140
-------

* version bump for relative link fix
* fixing relative links

1.0b139
-------

* version bump for wording changes
* adding better highlights to cluster toggles
* reverting it for real
* reverting accidental change to cluster view
* adding extra spacing for mustache
* fixing up the splash screens

1.0b138
-------

* version bump for templating changes
* updating headers on all pages
* fixing disabled behavior
* adding Topic Fingerprint phrasing and fixing cluster view transition
* fixing disabled state of topic sort
* fixing the topic search in document mode
* adding proper search boxes to cluster and document view
* fixing cluster CSS

1.0b137
-------

* adding CHANGELOG
* fixing a variety of topicexplorer demo issues
* adding AP corpus description to demo
* migration of grid semantics for cluster page
* simplifying interface
* fixing modal content in bar-view
* ensure that the demo shows the fulltext
* adding loading icon to cluster view
* fixing stylesheets
* fixing progress bars for Bootstrap 3.0
* adding cluster view to master template
* adding splash page css
* adding splash page master template
* migrating bars site to a master css template

1.0b136
-------

* version bump for new license information
* adding CC license for visualizations
* Update README.md
* corrected spelling of modern dictionary filename
* adding native type support to address #104

1.0b135
-------

* fixing get\_corpusbuilder\_fn. closes #169
* fixing cluster size sort

1.0b134
-------

* fixing bug with rebuild prompt. version bump. closes #168
* resolving continue training cluser bug. closes #165
* fixing wording of 'continue training'
* fixing rename behavior for continue training. closes #163
* adding copyright button and usage clause. #144
* duplicate work on quiet
* adding  flag to train. #99

1.0b133
-------

* version bump for fix to #166
* adding quiet attribute to argparser. closes #166
* fixing topic scaling. closes #164

1.0b132
-------

* fixing icons

1.0b131
-------

* reverting relative css paths

1.0b130
-------

* reverting javascript source path

1.0b129
-------

* version bump for new home page links
* adding config option for homepage link. closes #143
* adding rename functionality. #104

1.0b128
-------

* version bump and documentation. closes #153
* adding automatic shim for corpus description
* adding automatic inline fulltext. closes #154
* reverting d3 and removing chargeDistance

1.0b127
-------

* Updating metadata unicode support
* adding #99 to changelog. closes #99
* adding quiet mode to launch #99
* adding quiet flag to train.py #99
* adding quiet mode for init. #99
* fixing the legend spacing

1.0b124
-------

* fixing unicode error in Handian corpus

1.0b123
-------

* version bump to move cluster import

1.0b122
-------

* version bump for fix to corpus\_desc loading

1.0b121
-------

* version bump for fix to metadata
* fixing metadata issue with parsing and labels
* adding showdown
* adding new branding for top of page
* adding detailed About section using Markdown

1.0b120
-------

* version bump for d3 update
* updating d3

1.0b119
-------

* updating the topicexplorer to retrieve images from local sources

1.0b118
-------

* version bump for local mirrors
* adding local copies of Bootstrap and jQuery 2.2.4
* adding local copies of all scripts

1.0b117
-------

* topicexplorer HTRC DC compatability
* modifying 'About this Corpus' for temporary HTRC DC compatability
* storing cluster\_path in running server instance
* adding hover for cluster view icon
* removing legend
* fixing paths for css, modifying topic view
* Update README.md
* fixing cluster
* fix cluster search
* adding more explicit links from 'topics' entry point
* home button goes home
* fixing cluster toggle
* adding cluster view to main page
* adding dynamic topic number generation
* adding a timeout to the word search
* fixing display issue in topic search
* finishing fix of topic search
* skeleton for topic browsing
* adding topic-word distance module
* new splash page
* fixing Arrow functions for Safari compatibility. closes #160
* changing cluster map syntax for safari support #160
* revising CHANGELOG.md

1.0b115
-------

* updating topicexplorer to fix cluster error

1.0b114
-------

* Merging 'cluster-merge' into 'master'
* moving to Paste serve
* fixing left sidebar alignment
* fixing htrc extensions
* adding sidebar for main page
* branding to the main page
* adding sidebar to mainpage
* fixing title
* automatically cluster if it hadn't been done yet
* adding cluster browse as the default mode
* change to single cluster.csv file
* refactoring cluster.py

1.0b113
-------

* version bump
* version bump for bibtex extension fix and vsm update
* fixing bibtex extension config loading

1.0b112
-------

* version bump for htrc extension
* adding server documentation
* fixing label of volumes
* patch for CAS query string error
* version bump for topic view fix
* adding metadata extraction
* fixing jefferson combo labeling
* fixing topic view

1.0b110
-------

* updating dependencies

1.0b109
-------

* updating topicexplorer to revert change
* fixing errors in vsm demo
* fixing version numbers in setup.py
* version bump for some changes
* adding NotImplementedError
* wide variety of deployment issues fixed
* fixing icon path for WoS and DOI
* adding import ConfigParser
* fixing demo
* removing langspace. closes #151
* merging autopep8 changes to topicexplorer.extensions
* Update coverage.sh
* another install refinement
* updating tests and configuration
* adding append mode to coverage scripts
* adding coverage tests
* fixing demo script to use direct calls

1.0b107
-------

* Finalizing mod\_wsgi branch merge. closes #37
* adding more deps to travis
* removing import of launch module
* fixing merge of server
* completing merge of launch and serve commands
* fixing position information on search box
* fixing error reporting for load
* explicitly adding the float conversion for probabilities
* fixing some acao header issues
* overriding clustering
* fixing topic unicode output
* adding cluster labels to topics
* reversing scale of topic circles - lower k, bigger r
* fixing the topic cluster load
* revising 1.0b32 changes
* finishing CHANGELOG fixes
* Adding notes for 1.0b60
* adding start of CHANGELOG.md

1.0b106
-------

* version bump
* updating vsm beta

1.0b105
-------

* version bump of vsm beta
* fixing jeffcombo
* adding correction to child\_app static routes
* fixing static file serve for child applications
* unicode fixes
* hardcoding SEP path - some weird server config issues
* allow for codepen retrievals
* adding vsm 0.4.0b2
* correcting item numbers
* adding more deployment details
* fixing redirects for errored instances and simple path mistakes
* adding index.html handler
* updating all extensions to use new init protocol
* fixing the fulltext mode for AP articles - coming closer to label module spec
* rudimentary label module support for AP corpus, need to add more reasoning about config options
* adding kwargs support to server object
* adding topic selection again
* fixing up all paths so proper caching can occur
* adding routes for a static cache
* adding more comments
* simplifying config file usage
* relativizing paths to library files
* removing refernces to k
* fixing print messages, simplifying app.wsgi
* fixing topic load in combined browser
* more refactoring to add icons and fix random document selection
* adding index.html render support
* refactor to object-oriented server
* modifications to app.wsgi to enable dynamic ini discovery
* initial mod\_wsgi configuration

1.0b104
-------

* incrementing version number
* removing developer version of vsm from dependency\_links

1.0b103
-------

* updating to use 0.4.0b1
* adding icons for Web of Science and DOI lookup
* adding a new temporary label module for using an arbitrary field
* adding csv import
* fixing README to use new commands
* adding context\_type to args of add\_metadata
* Fixing label list function
* adding extract\_label function
* allow ability to add metadata
* skeleton for metadata command

1.0b102
-------

* Changing all commands to topicexplorer, per #136
* deprecating vsm command. closes #136

1.0b101
-------

* decoding query string. closes #134

1.0b100
-------

* removing cancel button from page
* adding chinese merge branch to released version
* simplifying paths
* fixing ini file placement. closes #128
* adding powershell for windows. closes #123
* adding n\_proc to LDA call. closes #122
* reverting accidental removal of prep and server
* adding lang = cn to .ini for chinese tokenizers
* autopep8 for topicexplorer
* autopep8 for topicexplorer.extensions
* autopep8 for topicexplorer.lib
* adding pep8 configuration
* starting contributing doc
* adding start of documentation
* adding default launch to serve to mirror behaviors in launch. closes #116

1.0b99
------

* fixing the defaults for doc\_title\_format and doc\_url\_format. closes #132

1.0b98
------

* version bump
* changing fulltext path to relative path

1.0b97
------

* version bump
* fixing capitalization error

1.0b96
------

* adding url encoding for docids
* addition to punctuation list
* Added default value for lang config variable
* Same as before, another piece of punctuation
* added high comma to chinese punctuation list
* Added support for lang in config to control number of words shown in topic tooltip
* fixed problem with doc\_id and corpus\_path having different encodings
* modification to handle the fact that strings may be unicoded, but integers not
* added invisible space character to punctuation list
* Changes need to handle unicode/utf-8 in init file for utf8 corpus name
* minor tweak to previous change
* Fix for situation where corpus\_path and doc\_id overlap
* prep.py with unidecode removed for chinese text processing
* modified to keep unicode in stoplist

1.0b95
------

* version bump
* removing unidecode from stopword file
* fixing hathitrust prep
* fixed SEP entries typo
* Add Gitter badge
* chinese.py: extended punctuation/odd character list prep.py: modified stoplist handling to preserve unicode
* pymmseg format calls instead of plain mmseg
* fixing oauth port
* adding helpufl message about which model is being used
* import platform
* Update Topic Explorer Tutorial.ipynb
* adding error checking for Pybtex

1.0b94
------

* removing mmseg requirement

1.0b93
------

* adding default locale language to stoplist

1.0b92
------

* version bump for bibtex merge
* correcting bibtex path info
* adding automatic labeling and Windows compatability

1.0b91
------

* updating version to add new tutorial notebook
* recreating error condition
* Adding new tutorial notebook
* fixing corpusbuilders for recursive walk
* refactoring corpusbuilder functions
* fixing doc\_ids with file paths in route info
* Fixing bibtex extension when file is missing
* added cluster highlighting and selection

1.0b89
------

* version bump for KeyError hotfix
* added cluster range
* changed cluster paths
* cleaning code
* changed cluster model names and path

1.0b88
------

* version bump for vsm

1.0b87
------

* version bump for downstream changes
* fixing multiprocessing import location

1.0b86
------

* updating version for ldasentence fixes upstream
* switching threads to processes for pdf parsing
* fixing python version check in setup
* fixing python version check in setup
* futures iterator for progress bar
* adding  multithreaded pdf conversion
* adding brain
* adding hyperbrain hook
* linking train to cluster analysis
* adding topic viz
* adding cluster analysis tools
* adding .travis.key to .gitignore
* cleaning up the 'rest'
* adding better inpho tokenizer
* adding better filter of small words
* adding inpho tokenization

1.0b85
------

* fixing more argument bugs in ldasentences

1.0b84
------

* fixing sentences parser

1.0b83
------

* version bump to resolve sentences issue

1.0b82
------

* fixing prep nulls

1.0b81
------

* fixing error in vsm demo
* version bump and new init options
* fixing error in langspace
* vsm version update
* refactoring imports for chinese support

1.0b79
------

* Misc. Winodws fixes

1.0b78
------

* complete support for Chinese texts
* adding try/except around page processing
* updating dependencies
* adding tokenizers to langspace code
* adding chinese language tokenization

1.0b77
------

* version bump for new vsm
* updating dependency link
* version bumps for vsm support
* making simple parser the default

1.0b75
------

* version bump for metadata patch
* fixing path to simpleconstructors
* adding bibtex support to init stage
* adding custom bibtex library location
* changing label\_module semantics
* adding fulltext help
* added simple arg to dir coll and toy corpus calls
* removed 0 char
* added simple argument

1.0b74
------

* fixing bug in init on windows corpus ingest with unicode filenames
* adding --no-travis flag

1.0b73
------

* dependency version bump
* version bumps

1.0b71
------

* version bumps for ldasentence support
* fixing defaults
* initial bibtex support
* defaulting topic view to normalized. closes #113
* adding sentence support

1.0b70
------

* bumping version to fix fulltext attribute

1.0b69
------

* fixing fulltext defaults

1.0b68
------

* fixing in server

1.0b67
------

* adding raw\_corpus safety check

1.0b66
------

* version bump for new fulltext browsing feature
* adding fulltext browsing flags. closes #94
* further refinements to process exit
* adding check for running vsm.exe on Windows. closes #114

1.0b65
------

* adding graceful errors to vsm launch. closes #115

1.0b64
------

* updating version
* fixing infinite loop in low\_filter

1.0b63
------

* removing the langdetect
* adding combo corpus extension
* fixing metadata query
* fixing plus support in doc ids
* adding port number fix
* fixes dynamic port switching
* removing popover overlay issue with autocomplete box
* moving metadata query into try/except. closes #111
* adding fulltext support to server
* fixing path for vsm demo. closes #107
* fixing vsm demo errors
* fixing training continuation bug after re-prep. closes #93

1.0b62
------

* fixing grammar and quiet prep
* version bump
* adding message to profile
* adding matplotlib
* handle missing nltk dependencies. closes #108
* adding more space between training runs
* adding automatic detection of stopwords with langdetect. closes #97
* updating vsm requirement
* redirecting stderr on the check\_ouput for not found errors
* adding coverage script

1.0b60
------

* bumping vsm req, adding matplotlib requirement

1.0b59
------

* fixing update mechanism
* fixing update. closes inpho/vsm#131
* misc bug fixes
* adding profilehooks to dependencies

1.0b58
------

* adding optional args to demo, in case we later decide to add these
* version bump
* fixing profile output
* adding benchmark commands
* Update README.md
* Update README.md
* updating installation directions
* fixing config messages
* fixing disappearing modal close buttons. closes #83

1.0b56
------

* adding configfile validation. closes #105

1.0b55
------

* fixing stopword candidate sort
* fix for chinese language support

1.0b54
------

* fixing prep interstitial messages
* final fixes to histograms

1.0b53
------

* adding update fixes for end user installs

1.0b52
------

* fixing the prep stage print outs
* fixing version command
* removing warning from pdftotext

1.0b50
------

* version bump for new release

1.0b49
------

* updating dll string

1.0b48
------

* adding alternate library basepath
* fixing stopword filters. closes #102
* Update win32.py
* cleanup on git version

1.0b47
------

* final version hacking
* final version hacking
* version hacking
* further performance optimization
* moving pdf import
* bumping the version
* load performance optimizations

1.0b46
------

* force cache flushing for end user installs

1.0b45
------

* version bump for train --dry-run
* had to update both development and binary versions
* adding --dry-run flag. closes #98
* not equals is the check we need to see if commands don't match
* version bump
* updating Windows update with different command. See https://github.com/pypa/pip/issues/1299
* another attmept at Windows updates
* version bump
* fixing file move for Windows. issue #100
* explicitly setting zip\_safe flag
* fixing error with master branch check
* Fixing Windows updates. closes #100
* adding master branch check. closes #101

1.0b42
------

* bumping version number
* changing semantics on low freq filter
* adding histogram to low frequency filter
* adding high frequency filter histogram
* removing attempt to solve NP-Hard problem at launch
* Updating license badge

1.0b41
------

* updating vsm requirements
* adding langspace for early chinese support
* changing position of update flag

1.0b40
------

* adding expanded bug report messages
* updating README
* version bump for documentation change and vsm update fix
* adding an automatic fetch to update script

1.0b39
------

* fixing unicode flag
* adding better status messages to release

1.0b38
------

* version bump
* moving register.py to release.py
* Adding output checks for PyPI push
* most of the release shell

1.0b37
------

* adding \_\_pretty\_version\_\_ for editable mode

1.0b36
------

* polishing interface, adding newlines before leaving program
* finalizing update script, bumping version
* asking for push
* updating git status check
* completing git pull, moving to subprocess
* adding update structure
* adding version subcommand
* fixing automatic uppercase on keyword search. closes #86
* alphabet sort uses label, not id. closes #82
* adding networkx dependency
* version bump
* fixing default label function, which fixes dist functions on page view
* adding rgb2hex so matplotlib dependency is unnecessary
* Fix corner case for lib.color. closes #89
* Fixing color.py variable scoping
* fixing color engine to use new graph reduction technique. closes inpho/vsm#121

1.0b32
------

* Fixed hard coded array references for k value and test word
* fixing travis ci
* fixing pdf collection import
* adding tokenizer to init arguments
* version bump for requirements upgrade
* adding unicode/decode flags to topic explorer
* adding hathitrust record data extension
* fixing notebook creation
* dynamic loading of viewers and models in notebooks
* fixing indentation errors in candidate printing
* adding additional filtering commands
* adding a global stoplist so that in\_place\_stoplist is called once
* moving stoplists to in-place algorithms
* fixing quote behavior
* updating pdf reader
* version bump to beta28
* cleaning up seed and htrc arguments
* fixing notebook launch
* adding pdftotext usage for Xpdf viewer
* fixing baseport corrections
* fixing missing metadata view
* Version bump for better prep and demo functions!
* adding warning for removal of all words
* remove cancel option and fix different number error
* adding command line for high and low filters
* fixing ap demo
* updating ap demo
* updating htrc and sep configurations
* some refactoring of the prep step
* adding marc reading support
* adding volume support to hathitrust
* hotfix for stopwords
* two HTRC fixes
* version bump for beta 24
* fixing htrc metadata lookup in page mode
* migrating to single parser population function for both main and modules
* final relative urls
* moving to relative paths to enable Apache mod\_proxy support. interim fix for #37
* adding expanded quote support for htrc ids
* fixing nltk install
* fixing egg build
* defaulting to LdaCgsSeq, single-process version. bump to b23
* updating register file to do deployment
* updating to vsm 0.3.2. closes #71
* adding workaround for Ctrl+C on Windows. closes #76
* fixing demo
* adding prompt for corpus name. closes #70
* continue training fully implemented. closes #74
* adding version bump for the overwrite prompt
* fixing error in return of overwrite\_prompt
* adding exception handling for args
* version bump to 1.0b17. closes #79
* adding min to int\_prompt. see #74
* adding fallback for low frequency filter
* adding title to labels
* fixing prompt to ask for TOTAL number of iterations. see #74
* adding int\_prompt to train script, adding defaults. see #74
* adding continue training functionality. see #74
* version bump for new port functionality
* finalizing word choice for port assignment. closes #64
* adding port checking to server. see #64
* adding port configuration to launch script. see #64
* moving port to www section
* version bump
* fixing topic view. closes #78
* dependency bump to vsm-0.3a3
* changing colors to partial JSD
* adding help for languages. closes #66
* adding explicit list of defaults to overwrite prompts. closes #67
* removing auto-stoplisting of english, retains 5-occurrence low pass stoplist. closes #72
* updatig requirements to match vsm-0.3a2
* moving to subprocess module. closes #77
* fixing train call for compatability with new calling conventions
* first commit migrating to vsm 0.3
* adding numeral entry to vsm prep high filter. closes #75
* polishing hathitrust library functionality
* script to fix old bailey ids
* old bailey mockup
* fixing single document match behavior
* adding fulltext modals
* adding unbound local variable exception
* migrating to larger bars and adding Jefferson corpus extensions
* updating exception handling
* fixing label pass-through on word search
* adding HTTP 400 to invalid queries
* version bump
* unverifying HT SSL connection until they get certificates worked out
* adding util scripts and hathitrust download
* Update init.py
* Update to console\_scripts entry point
* Adding libenchant
* version bump to 1.0b12, should fix travis
* Update .travis.yml
* updating Travis CI
* adding better frequency table
* fixing word-doument view
* adding query term filter, still need to add stemming
* resolving merge issues
* adding windows temp files to ignore list
* migrating demo script to 'vsm demo'
* updating to 1.0b11
* removing scripts dir
* moving to console\_scripts deployment for windows compatability
* updating citation and tweet button, adding papers
* Rearranging README file
* Updating installation instructions
* adding better register function and fixing README.md
* Update README.md

1.0b10
------

* fixing manifest once again
* adding distutils requirement and hopefully putting data in the right place!
* another version bump, another MANIFEST file

1.0b7
-----

* bumping version to 1.0b7
* Update README.md
* adding Windows bat file
* Update README.md

1.0b5
-----

* adding PSExceptions to PDFMiner utils
* accidentally added notebooks, added to gitignore
* adding numpy import and upgrading to NB version 4
* fixing PDF import functions for directory access
* upgrading notebook to v4 and adding line break
* adding pdf support and single-doc support
* first directory import, still need to integrate with vsm init
* adding pdfimport
* Update README.md
* Update README.md
* Update .travis.yml
* Windows compatibility in LDA model import

1.0b4
-----

* bumping to 1.0b4, which fixes resource loading issues

1.0b3
-----

* bumping to 1.0b3 and adding manifest
* bumping to beta2
* fixing relative paths to server locations
* Misc Windows compatability fixes for notebook
* fix typo in anaconda url
* polishing notebook UI
* adding notebook stop process control
* adding launch parameter to notebook
* fixing paths for notebooks
* enhancing htrc support
* fixing rebuild corpus bug. closes #65
* fixing corpus\_file reset in prep script
* Update README.md
* Adding PyPI badges to README, updating pip instructions
* updating gitignore and removing notebook creation script (moved to topicexplorer)

1.0b1
-----

* updating citation and README
* adding citation file
* Adding license badge
* adding LICENSE and updating README
* adding ipynb template
* fixing notebook creation and vsm init
* removing ssl materials
* updating demo file
* updating requirements
* moving extensions to topicexplorer directory
* moving getmetadata to htutils script
* moving libraries
* removing training scripts from root folder
* adding k prompt to training script
* adding corpus prep
* migrating server and launch scripts to vsm master script
* file overwrite protection
* adding init and train actions to vsm script
* starting script mode
* starting ipython notebook scripts
* improving server load time
* adding metadata to retrieved entries
* fixing md
* adding htrcbook direct page links
* adding page number support to HTRC browser
* adding basic page support to topic explorer

0.2
---

* misc fixes to label function and retrain script
* adding unicode support to corpus prep script
* adding custom stopwords file support
* adding htrc label function and metadata search
* adding \*.ini and demo-data/\*.tgz to gitignore
* adding htrc prep args to train script
* adding multiplatform compatability patch
* moving to single args.retrain variable
* adding command line argument for random seed
* fixing topic word order
* adding retrain flag. Should fix Travis CI build
* adding retrain check
* Update setup.py
* Updating hostname lookup on web browser launch
* Update README.md
* updating demo file and documentation
* adding helpful tip messages and testing for dependencies
* cleaning up requirements
* adding ap folder check
* updating demos
* adding host attribute to config file, server.py, and launch.py. closes #53
* Update setup.py
* adding --dry-run. closes #60
* word/document toggle
* hiding most help. closes #58
* adding corpus prep script
* only one topic may be selected at a time
* adding query highlighting
* adding multiprocessing support to train.py
* fixing button behavior
* adding word/doc toggles
* adding TIP to launch command
* adding helpful tips
* further IOError handling, adding filetype filters
* adding prompt for number of iterations and clean exit on IOErrors. closes #56
* adding host discovery to K-variant dropdown. closes #55
* lookup button preliminaries, bug #57 still open
* adding launch message
* fixing else->elif
* adding check for file count first
* adding auto context\_type
* updating location of corpus\_type assignment
* fixing corpus\_type
* updating htrc demos
* adding proper signal propogation to handler
* adding quick launch with log files
* Adding cross-platform compatability
* adding error message for empty directories
* adding browser support to launcher
* adding htrc flag to training script
* Update README.md
* finalizing generic topic explorer script and adding documentation
* adding config file launcher
* fixing topic range in config files
* quick trainer
* adding HTRC data capsule default config file
* fixing fulltext icons. closes #51
* relative path for inpho\_logo.png
* adding full bottle\_ssl certfile support
* adding certificate file options
* two methods for doing http->https redirect
* adding ssl server flag
* starting ssl mods
* adding popover overflow-y. closes #48
* starting ssl mods
* fixing handle.net links. closes #47
* fixing AP fulltext. closes #46
* fixing NoOptionErrors by brute force exception handling
* Add travis-ci badge to README
* switching color to oscillation
* Update README.md
* Update README.md
* Changes made for the archived data
* adding ACAO headers. closes #40
* adding htrc libraries
* fix topic normalization on re-sort
* moving to vsm master branch
* adding travis-ci.org support
* adding brewer2mpl
* fixing topic sort
* more informative tooltips with entropy
* better color functions
* adding entropy-based coloration. closes #13
* indenting topics properly
* updating dependencies
* updating README.md
* adding setuptools compatability
* adding comments and stoplisting to AP corpus prep
* fixing tweet button text. config files done. closes #19
* filling in search box with current title
* fixing port number format string
* fixing config ordering error
* fixing topic dropdown
* fixing typo in probs for topic view
* adding index.html caching
* fixing corpus file identifiers
* fixing SEP regex
* adding port ranges
* adding htrc.js import
* cleaning up icons and htrc info
* finalizing viewer parameterization
* adding icon\_tooltip parameter and String.prototype.format
* adding dynamic tick icon hide/show
* migrating doc\_topics to newest behavior and reducing calls
* removing source error in chrome
* adding icon flexibility
* adding htrc extensions and label function
* updating sep config
* sep extension
* first label extension
* fixing to match new changes to general-refactoring
* removing all AP specific functions
* fixing merge
* moving lda\_c -> lda\_v.corpus
* moving all corpus loading to \_\_main\_\_ block
* first iteration of adding config files in #19
* Update README.md
* adding README file to repo and switching main branch to AP corpus
* changing text for JSD
* correcting distance metric for similarity
* adding character decoding to SEP demo. closes #42
* updating topic server to 18KKK ports
* updating data retrieval script to train models
* fixing up document heaidngs
* adding popover of full-text
* initial AP wording changes
* updating server
* switching to use AP demo corpus
* finishing preliminary corpus training
* adding ap89 dataset retrieval
* switching sim\_\* to dist\_\* for compatability with vsm 0.2
* adding link to main topic explorer page
* fixing null text
* reordering icons
* fixing id selection in visualize() function
* fixing y-axis hover removing primary document markers
* adding title display in main text. closes #36
* disabling hover and focus on docLabels
* fixing wording for topic-mode
* reducing the footprint of the ids
* adding labels to visualization
* adding label auto-complete support
* adding SEP labels to data server
* adding cache directives
* accept all incoming requests
* finishing migration to JSD. closes #28. closes #39
* fixing topic view docid field. closes #34
* clarifying text in topic view
* updating text to reflect topic/entry toggle
* removed centering of buttons
* changed topdoc button to hidden + fixed click behavior
* realigned a spacing typo
* added "Top Documents for [topic]" Button
* fixing topic view
* JSON keys musy be strings
* adding tweet button
* adding N variable to topic view
* fixing typo
* updating gitignore
* proper behavior for #27
* added least like keyword argument. see #27
* adding sep icon
* adding sep icon and padding to top text
* filtering sample.txt. closes #6
* adding random button and word logo. closes #26
* adding topics and port starter
* adding positional argument for number of topics
* rewording description, adding e-mail
* lower case of search term. closes #24
* fixing topic sort reset button and link text
* adding topic sort reset
* polish for descriptive text
* fixing icon highlight errors
* fixing icon highlight errors
* hiding inpho icon, adding ellipse to terms
* fixing headings
* fixing cursor behavior over bars and titles. closes #25
* topic support on server
* fixing topic sort to reflect Robert's comments. closes #11
* lowercasing doctitles for current demos. closes #24
* highlighting primary topic
* optimizing normalization draw. may resolve #11
* fixing secondary sort order
* properly bringing selected topic to front
* sorting, but not moving elements
* adding icon class for ease of use
* fixing text underline error
* adding inpho icons and links to topic explorer. closes #22
* adding number of topics. closes #21
* optimizing for low resolution displays. see #20
* fixing controls position. see #20
* smooth scrolling of legend. closes #20
* returning a set number of results rather than a threshold to help with rendering issues
* more style corrections
* misc style corrections
* adding container element. closes #17
* adding dynamic resizing. see #5
* height and width scaling. see #5
* adding fixed legend, multicol support. closes #5
* fixing hover behavior in main chart body
* adding control fade-in. issue #14
* adding complete message that fades away. issue #14
* adding loading and error messages. closes #14
* inpho urls. closes #9
* adding links and highlights. discuss #9, closes #8
* adding extra detail to similarity, fixing x domain
* fixing rangeRoundBands outerPadding property and height var. closes #7
* changing x axis position to top. closes #12
* x-axis label toggle for sort. issue #12
* fixing multiple highlights. closes #15
* fixing topic tooltips after normalization
* fixing tooltip redisplay error and transition between same topics. closes #1
* adding triggers on mouseover for tooltips
* adding transitions that scale by number of topics
* fixed resort of elements after placed out of order. closes #10
* keep it simple - eliminate duplicate code
* adding proper sort+scale operators
* adding normalization button
* reverting to mouseover/mouseout events for SVG elements
* adding typeahead support for docs, eliminate sepdir attribute. closes #4
* moving to jquery.superdom from jquery.svg
* added SVG render order fix. closes #2
* fixing and accelerating alphabetical sort. closes #3
* adding inpho library
* adding gitignore
* fixing opacity and sort of visualization
* adding sort to topics by first element order
* fixed style sheets
* making bigger svg
* adding hover states
* adding topic json
* adding legend
* switching to 20 topic model
* adding color bars
* first working topic component bars
* fixed reordering
* creating some padding
* proper orientation
* bars on wrong side
* adding descriptive text and autocomplete box
* moving topics.py to more appropriately named server.py
* adding document sort
* adding doc-doc sim
* adding topic explorer
* bottle and server
* adding visualization
* initial web framework
